<md-toast role="alert" aria-relevant="all" class="message-toast">
    <div class="md-toast-content">
        <span class="md-toast-text" flex>{{$ctrl.toastMessage}}</span>
        <div class="buttons">
          <md-button class="md-highlight" ng-click="$ctrl.actionFunc($event)" ng-if="$ctrl.actionText">
            {{$ctrl.actionText}}
          </md-button>
          <md-button class="md-action" ng-click="$ctrl.closeToast()" ng-if="$ctrl.cancelText">
            {{$ctrl.cancelText}}
          </md-button>
        </div>
    </div>
</md-toast>